<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'

        ALTER TABLE quality_validations
        ADD uom TEXT DEFAULT NULL;

        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'

        ALTER TABLE quality_validations
        ADD sap_msg_status TEXT DEFAULT NULL;

        SQL;

        DB::statement($sql2);

        $sql3 = <<<'SQL'

        ALTER TABLE quality_validations
        ADD sap_msg_description TEXT DEFAULT NULL;

        SQL;

        DB::statement($sql3);


        $sql4 = <<<'SQL'

        ALTER TABLE quality_validations
        ADD serial_number TEXT DEFAULT NULL;

        SQL;

        DB::statement($sql4);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {

    }
};
